<template v-if="show.homepage == 'grid'">
  <div id="homepage">
        <div class="row" v-for="row in rows" :key="row.num">
            <div class="col-lg-6 thumbnail text-center paneldiv" id="panel1div">
                <img id="panel2" class="panel" alt="Panel 2" v-bind="row.col1.image">
                <div v-fi="row.col1.type == 'video'" class="play"></div>
                <div class="caption">
                    <h1>{{ row.col1.title }}</h1>
                    <p>{{ row.col1.subtitle }}</p>
                </div>
            </div>
            <div v-if="row.col2" class="col-lg-6 thumbnail text-center paneldiv" id="panel2div">
                <img id="panel2" class="panel" alt="Panel 2" v-bind="row.col2.image">
                <div v-fi="row.col2.type == 'video'" class="play"></div>
                <div class="caption">
                    <h1>{{row.col2.title}}</h1>
                    <p>{{row.col2.subtitle}}</p>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  computed: {
    ...mapState({

    }),
    ...mapGetters('showTiles', {
      rows: 'rows',
    }),
  },
};
/* Row Structure:
   - col1
   - col2
*/
</script>


<style>
.panel {
    height: 100%;
    width: 100%;
    /* if(bgblur == true) filter: blur(5px); */
}

.paneldiv {
    border: 3px;
    border-color: white;
    padding: 3px;
}

body {
    background-color: black;
    color: white;
    overflow: hidden;
}

.row {
  /* if number of shows is less than 3, the height of the row needs to be 100vh instead of 50vh. */
  height: 50vh;
}

#homepage {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}

.thumbnail {
    position: relative;
}

.caption {
    position: absolute;
    top: 43%;
    left: 0;
    width: 100%;
    text-shadow: 2px 2px #333333;
}
.caption h1 {
    font-size: 100px;
}
.caption p {
    font-size: 36px;
}
#homeBtnDiv {
    position: fixed;
    width: 5rem;
    height: 5rem;
    line-height: 5rem;
    bottom: 5vh;
    right: 5vh;
    background-color: rgba(0,0,0,0.5);
    border-radius: 5px;
    padding: 5px;
    text-align: center;
}
#homebutton {
    color: white;
    font-size: 3.5rem;

    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%)
}
</style>
